/* -*- mode:c;  c-basic-offset: 4; tab-width: 8; -*- vi: set sw=4 ts=8:*/
/* utypes.h: type and constant definitions available to user mode apps       */
/* <$RCSfile$ $Name$ RCS Version $Revision$> */
/*****************************************************************************
  utypes.h:  
          
  Date Written :  02/15/94 WEM
  Project      :  3367
  
  Notice: This document contains proprietary, confidential information
          owned by Digitronics Inventioneering Corporation (d/b/a SIXNET)
          and is protected as an unpublished work under the Copyright Law
          of the United States. No part of this document may be copied,
          disclosed to others or used for any purpose without the written
          permission of Digitronics Inventioneering Corporation.

  abstract:
    Utypes.h contains system global constants and type definitions which 
    users may need to invoke system services

******************************************************************************/
#ifndef _UTYPES_H_
#define _UTYPES_H_

/* use INT16, etc. when really need exact number of bits */
#define INT16 short
#define INT32 long
#define UINT16 unsigned short
#define UINT32 unsigned long
#define ULONG unsigned long
#define BYTE unsigned char
#define BOOL int

#if !defined(FALSE)
#define FALSE 0
#else
#if (FALSE != 0)
#error FALSE defined to be non-zero
#endif
#endif

#if !defined(TRUE)
#define TRUE 1
#else
#if (TRUE != 1)
#error TRUE defined to be non-one
#endif
#endif

typedef struct sockaddr_in SOCKADDR_IN;
typedef unsigned char uchar;
#define HANDLE INT16
#define HTRIGGER	HANDLE

#define V1_EEROM_UDR_PROTOCOL 1

typedef unsigned char UINT8;
typedef signed char INT8;

/* use UINT, etc. when need int 16 or more bits, long 32 or more bits */
/*typedef unsigned int UINT;*/
/*typedef unsigned long ULONG;*/
#define SIGNED_BYTE signed char
typedef signed char schar;


#if !defined(NULL)
#define NULL ((void *)0)
#endif



#define DELAY INT16           /* Delay units.  Currently these represent  
                                 millisecond delays. */

#define WAIT_FOREVER ((DELAY)0x8000) /* Delay value signaling no timeout
                                      * specified. If the resource is not
                                      * available, block until it is.
                                      */

#define DONT_WAIT ((DELAY)0)  /* Delay value signaling no timeout specified.
                               * If the resource is not available, return
                               */

#define MAX_RESOURCE_NAME 30  /* Max. resource ID string length, including NULL terminator */

/* Handle definitions */

/*
  Don't change these without checking the device open routines.  They return a
  handle into the local process handle table, cast as an int.  If HANDLE is
  redefined, the system device io routines open, close, read and write may
  no longer function.
*/

/* the fsys1 file system (and maybe others) count on this being unsigned!
 * be very careful if change this!
 */
#define DEVICE_ID UINT32
#define INVALID_HANDLE ((HANDLE)-1)

#endif
