#include "configs.h"
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <fcntl.h>
#include <unistd.h>

int g_fd_configsFile;

char *configsNames[2]={"Host", "AppKey"};
extern int parse_reportPinConfig(char *pin_lbl, char *configStr);


int loadConfigsFile(char *fileLocation, tw_configs *configs){

 if(strlen(fileLocation)<=0) {
        return -1;
        }

    g_fd_configsFile = open(fileLocation, O_RDONLY);
    if(g_fd_configsFile == -1) {
        perror("Error opccured while opening the settings file:");
        }

    return parseConfigs(g_fd_configsFile, configs);
}

int parseConfigs(int fd_configs, tw_configs *configs){
  char *fileContents;
  ssize_t charsRead;
  char *tmp=NULL;

  fileContents=(char *)calloc(RD_BUFF_SZ, sizeof(char));

  charsRead=read(fd_configs, fileContents, RD_BUFF_SZ);
  printf("Chars Read: %d\n", charsRead);
  tmp=strtok(fileContents, "=");

  while(tmp!=NULL) {
    char *val = strtok(NULL, "\n");
    set(tmp, val, configs);
    tmp=strtok(NULL, "=" );
    }

return 1;
}

int set(char *name, char *value, tw_configs *configs) {

  if(strcmp(name, configsNames[0])==0) { //Host
        set_str(configs->host, value, 128);
        }
  else if(strcmp(name, configsNames[1])==0) {  //AppKey
        set_str(configs->appKey, value, 40);
        }

   printf("Set:%s v:%s\n", name, value);
  return 0;
  }

int set_str(char *dest, char *val, int sz){
   return snprintf(dest, sz, "%s", val);
   }

