#!/usr/bin/perl

use strict;
use warnings;

require "./cgi-lib.pl";
require "./jsonlib.pl";

my %RESPONSE = (
	"error" => 0
);

# Load request parameters from browser
my %REQUEST = ();
ReadParse(\%REQUEST);

# Check status first, in case we respond early with error
$RESPONSE{pid} = &pidof();


if (exists($REQUEST{query})) {
	if ($REQUEST{query} eq "start") {
		system("/sbin/service sdk restart");
	}
	elsif ($REQUEST{query} eq "stop") {
		system("/sbin/service sdk stop");
	}
	elsif ($REQUEST{query} eq "status") {
		# Pass through to pid status
	}
	else {
		&send_error("Unrecognized query");
	}
}
else {
	&send_error("Must specify a query");
}

# Check status again, to note changes
$RESPONSE{pid} = &pidof();


&send_response();

exit 0;

# Sub-Routines

sub send_response {
	print "Content-type: text/html\n\n";
	print &JSON_Serialize(\%RESPONSE);
	exit
}
sub send_error {
	my $msg = shift;
	$RESPONSE{error} = 1;
	$RESPONSE{message} = $msg;
	&send_response();
}
sub pidof {
	chomp( my $pid = `/sbin/pidof sdk` );
	return $pid;
}
