window.sdk = new function () {
	var self = this;

	function handleResponse (response) {
		try {
			response = JSON.parse(response)

			if (response.error) {
                document.getElementById("service_status").value = response.message
			}
			else if (response.pid > 1) {
                document.getElementById("service_status").value = "SDK is running. (pid " + response.pid + ")"
			}
			else {
                document.getElementById("service_status").value = "SDK is not running."
			}
		}
		catch (e) {
			console.log(e)
            document.getElementById("service_status").value = "Failed to parse response"
		}
	}


	self.start = function () {
        document.getElementById("service_status").value = "Starting SDK Service..."
        $.post("cgi-bin/sdk.cgi", {query: "start"}, handleResponse)
	}

	self.stop = function () {
        document.getElementById("service_status").value = "Stopping SDK Service..."
        $.post("cgi-bin/sdk.cgi", {query: "stop"}, handleResponse)
	}
    self.status = function () {
        document.getElementById("service_status").value = "Loading Status..."
        $.post("cgi-bin/sdk.cgi", {query: "status"}, handleResponse)
    }


}

window.onload = sdk.status
