#!/bin/bash
if [ ! -e Makefile ]; then
	cp defaults/Makefile .
fi

if [ ! -e accessory/sdk.init ]; then
	cp defaults/sdk.init accessory
fi

if [ ! -e accessory/sdk.conf ]; then
	cp defaults/sdk.conf accessory
fi

cp defaults/install.sh accessory

echo "WARNING: Only say yes to the following options once you have tested your program"
echo "on a device and are sure it does what it is supposed to"
echo "(You can run this configure script later to change your options)"
echo "Do you want this program to run when the device boots? (Y/n)"
read bootStart
case "$bootStart" in
	YES|Yes|yes|Y|y)
		sed -i s/\#chkconfig/chkconfig/ accessory/install.sh
		echo "$progName will run at boot time."
		;;
	*)
		echo "$progName will not run at boot time."
		;;
esac

echo "Do you want this program to persist through reflashing the device? (Y/n)"
read persist
case "$persist" in
	YES|Yes|yes|Y|y)
		sed -i s/\#cp/cp/ accessory/install.sh
		echo "$progName will be installed after a reflash"
		;;
	*)
		echo "$progName will be erased during a reflash"
		;;
esac
exit 0
