#!/bin/sh

# Check that /etc/version exists. This pretty much only true on JBM/SN/Red Lion devices
if [ ! -e "/etc/version" ]; then
    echo "Unit does not appear to be a JBM/Sixnet/Red Lion Controls unit, exiting."
    exit 1
fi

# The only argument we are passed is the file name of the package
FILE_NAME=$1

# Make sure we can find that file before we continue
if [ ! -e "$FILE_NAME" ]; then
    echo "Cannot find package file $FILE_NAME"
    exit 2
fi

# Extract the rest of the contents of the package
# -d             The destination directory for the unpacked contents
# -o             Overwrite existing files without prompting (use this!)
# $FILE_NAME     The file name of the package to unzip
# -x install.sh  Exclude install.sh when extracting since that has already been unpacked
unzip -d / -o $FILE_NAME -x install.sh

# Uncomment to turn on autostart of sdk process at boot time
#chkconfig sdk on

# Uncomment the following line to allow the program to persist across reflashing
#cp -f $FILE_NAME /storage/sdk/install/

# Now that the contents are extracted, we can do any other action the package needs to perform
logger -t $FILE_NAME "Initial installation..."


exit 0

