#
## Copyright 2016 Red Lion Controls, Inc. All Rights Reserved.
## Notice: This document contains proprietary, confidential information
## owned by Red Lion Controls, Inc. and is protected as an unpublished work under
## the Copyright Law of the United States. No part of this document may
## be copied, disclosed to others or used for any purpose without the
## written permission of Digitronics Inventioneering Corporation.
#
# toolchain_setup.mk
#
# This file handles the setup of the various toolchain components.
#

export COMPILER_PATH := $(TOOLCHAIN_PATH)/usr/bin
export COMPILER_LIBS := $(TOOLCHAIN_PATH)/arm/usr/lib
export COMPILER_INCLUDES := $(TOOLCHAIN_PATH)/arm/usr/include
export CROSS_COMPILE := arm-linux-gnueabi-

TOOL_DIR = $(TOOLCHAIN_PATH)/arm
CC_VER := "4.2.2"

# Add our compiler path to the path
export PATH := $(COMPILER_PATH):$(PATH)

# Generate names for all of our tools
AS	= $(CROSS_COMPILE)as
LD	= $(CROSS_COMPILE)ld
CC	= $(CROSS_COMPILE)gcc
CPP	= $(CC) -E
GPP	= $(CROSS_COMPILE)g++
AR	= $(CROSS_COMPILE)ar cr
NM	= $(CROSS_COMPILE)nm
OBJCOPY	= $(CROSS_COMPILE)objcopy
OBJDUMP	= $(CROSS_COMPILE)objdump
RANLIB	= $(CROSS_COMPILE)ranlib
STRIP	= $(CROSS_COMPILE)strip

# Now make sure that the version is what we expect
CC_VER_STRING := $(shell CROSS_COMPILE=$(CROSS_COMPILE) PATH=$(PATH) $(CC) --version 2>/dev/null)
ifeq ($(CC_VER_STRING), )
    $(error Could not find $(CC) on PATH ($(PATH)))
endif
CC_VER_FOUND :=  $(shell echo "$(CC_VER_STRING)" | grep $(CC_VER))
ifeq ($(CC_VER_FOUND), )
    $(shell echo -e "$(C_ERR)Expecting \"$(CC_VER)\"$(VT_RESET)" >&2)
    $(shell echo -e "$(C_ERR)Not found in \"$(CC_VER_STRING)\"$(VT_RESET)" >&2)
    $(error Compiler version incorrect.)
endif

# Change this to -g or -ggdb to debug
# DEBUG = -ggdb
DEBUG =

CFLAGS += $(DEBUG) -Wall -I$(COMPILER_INCLUDES)
LDFLAGS += -L$(COMPILER_LIBS)

